{**********************************************************}
{  wildfireZ Plugin Imports for Plugins Kernel DLL         }
{                                                          }
{  wildfireZ version 2.0.1 - 2000.06.14                    }
{  Coded by Geoffrey Michaels                              }
{  email: GeoffreyM@UltratechCreations.com                 }
{                                                          }
{  (c) 1999-2000 Ultratech Creations                       }
{  wildfireZ is a trademark of Ultratech Creations.        }
{                                                          }
{  website: www.UltratechCreations.com                     }
{                                                          }
{  This library is free software; you can redistribute it  }
{  and/or modify it under the terms of the GNU Lesser      }
{  General Public License as published by the Free         }
{  Software Foundation; either version 2.1 of the License, }
{  or (at your option) any later version.                  }
{                                                          }
{  This library is distributed in the hope that it will    }
{  be useful, but WITHOUT ANY WARRANTY; without even the   }
{  implied warranty of MERCHANTABILITY or FITNESS FOR A    }
{  PARTICULAR PURPOSE.  See the GNU Lesser General Public  }
{  License for more details.                               }
{                                                          }
{  You should have received a copy of the GNU Lesser       }
{  General Public License along with this library; if not, }
{  write to the Free Software Foundation, Inc., 59 Temple  }
{  Place, Suite 330, Boston, MA  02111-1307  USA           }
{                                                          }
{**********************************************************}

unit WildfireZPluginImports;

interface

uses WildfireZDataTypes;

  //kernel core exports
  procedure ClearWFZBuffer(); stdcall;
  function PluginAvailable(PluginName: PChar; var PluginHandle: Longword): integer; stdcall;
  function GetAppHandle(): LongWord; stdcall;
  function GetAppInstance(): Longint; stdcall;
  procedure GetAppPath(); stdcall;
  function GetDFC(PluginHandle: LongWord; DFC: PChar): Pointer; stdcall;
  function GetPluginCount(): Integer; stdcall;
  function GetEnvironmentState(): Integer; stdcall;
  function GetFrameRate():Integer; stdcall;
  function GetFramesRendered():Integer; stdcall;
  function GetGameState(): Integer; stdcall;
  function GetKernelVersion(): Integer; stdcall;
  procedure GetOSPath(); stdcall;
  procedure GetOSSystemPath(); stdcall;
  function GetWFZBuffer(): Pointer; stdcall;
  function GetWFZBufferContentsSize(): integer; stdcall;
  function GetWFZBufferSize(): integer; stdcall;
  function GetWFZError(): Integer; stdcall;
  procedure IncFramesRendered(); stdcall;
  function LoadPlugin(PluginName: PChar; LoadModel: Integer): LongWord; stdcall;
  procedure SetWFZBufferContentsSize(Size: integer); stdcall;
  procedure SetWFZBufferSize(Size: integer); stdcall;
  procedure SetWFZError(Error: Integer); stdcall;
  procedure SetGameState(GameState: Integer); stdcall;
  procedure UnloadPlugin(PluginName: PChar); stdcall;

  // IDL time routines
  function ConvertGMTToIDL(GMTOffset: Integer): Integer; stdcall;
  function ConvertIDLToGMT(IDLOffset: Integer): Integer; stdcall;
  function ConvertToLocalDateTime(UDT: TUnpackedHiresDateTime): TUnpackedHiresDateTime; stdcall;
  function GetIDLOffset(): Integer; stdcall;
  function GetIDLMinutesOffset(): Integer; stdcall;
  // HiresDateTime routines
  function DecodeHiresDateTime(HiresDateTime: THiresDateTime):
    TUnpackedHiresDateTime; stdcall;
  function EncodeHiresDateTime(UnpackedDateTime: TUnpackedHiresDateTime):
    THiresDateTime; stdcall;
  function GetCurrentHiresDateTime(): TUnpackedHiresDateTime; stdcall;
  function IsLocalHiresDateTime(HiresDateTime: THiresDateTime): Boolean; stdcall;
  // Elapsed time count routines
  function GetElapsedTimeCount(): Int64; stdcall;
  function GetElapsedTimeFrequency(): Int64; stdcall;
  function IsElapsedTimeAvailable(): Boolean; stdcall;
  function GetStartupElapsedTime(): Int64; stdcall;
  function GetStartupTime(): Int64; stdcall;
  // misc routines
  function GetRandomNumber(Range: Integer): Integer; stdcall;


implementation

  // kernel core exports
  procedure ClearWFZBuffer; external 'wildfireZ.dll';
  function PluginAvailable; external 'wildfireZ.dll';
  function GetAppHandle; external 'wildfireZ.dll';
  function GetAppInstance; external 'wildfireZ.dll';
  procedure GetAppPath; external 'wildfireZ.dll';
  function GetDFC; external 'wildfireZ.dll';
  function GetPluginCount; external 'wildfireZ.dll';
  function GetEnvironmentState; external 'wildfireZ.dll';
  function GetFrameRate; external 'wildfireZ.dll';
  function GetFramesRendered; external 'wildfireZ.dll';
  function GetGameState; external 'wildfireZ.dll';
  function GetKernelVersion; external 'wildfireZ.dll';
  procedure GetOSPath; external 'wildfireZ.dll';
  procedure GetOSSystemPath; external 'wildfireZ.dll';
  function GetWFZBuffer; external 'wildfireZ.dll';
  function GetWFZBufferContentsSize; external 'wildfireZ.dll';
  function GetWFZBufferSize; external 'wildfireZ.dll';
  function GetWFZError; external 'wildfireZ.dll';
  procedure IncFramesRendered; external 'wildfireZ.dll';
  function LoadPlugin; external 'wildfireZ.dll';
  procedure SetWFZBufferContentsSize; external 'wildfireZ.dll';
  procedure SetWFZBufferSize; external 'wildfireZ.dll';
  procedure SetWFZError; external 'wildfireZ.dll';
  procedure SetGameState; external 'wildfireZ.dll';
  procedure UnloadPlugin; external 'wildfireZ.dll';

  // IDL time routines
  function ConvertGMTToIDL; external 'wildfireZ.dll';
  function ConvertIDLToGMT; external 'wildfireZ.dll';
  function ConvertToLocalDateTime; external 'wildfireZ.dll';
  function GetIDLOffset; external 'wildfireZ.dll';
  function GetIDLMinutesOffset; external 'wildfireZ.dll';
  // HiresDateTime routines
  function DecodeHiresDateTime; external 'wildfireZ.dll';
  function EncodeHiresDateTime; external 'wildfireZ.dll';
  function GetCurrentHiresDateTime; external 'wildfireZ.dll';
  function IsLocalHiresDateTime; external 'wildfireZ.dll';
  // Elapsed time count routines
  function GetElapsedTimeCount; external 'wildfireZ.dll';
  function GetElapsedTimeFrequency; external 'wildfireZ.dll';
  function IsElapsedTimeAvailable; external 'wildfireZ.dll';
  function GetStartupElapsedTime; external 'wildfireZ.dll';
  function GetStartupTime; external 'wildfireZ.dll';
  // misc routines
  function GetRandomNumber; external 'wildfireZ.dll';


end.
